Subject: [Bitcoin-development] block difficulty - inherently stable or inherently unstable?

From: "Rebroad (sourceforge)" <[email-masked]>
Date: Tue, 8 May 2012 15:02:58 +0100

I was just thinking about the way block difficulty is calculated, and how
people may (in future) decide whether to mine or not.

Is it possible that when the difficulty is low, many will decide to mine,
producing blocks every 3 or 5 minutes, and then in 1 week, bitcoin will
increase the difficulty, and many will decide it is no longer cost
effective, stop mining, and find blocks are being produced every 30 minutes
for the next 6 weeks, before the returning to a previous difficulty where
people decide to mine again, etc, etc.

Seems reasonably possible in my mind, and I'm wondering if the stability so
far has been purely due to people mining without thinking too much about
the immediate cost-effectiveness (or mining by zombie-farms).

Thoughts, anyone?

Ed